This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### resetShader()
Examples |
    PShader edges;
    PImage img;

    void setup() {
      size(640, 360, P2D);
      img = loadImage("leaves.jpg");
      edges = loadShader("edges.glsl");
    }

    void draw() {
      shader(edges);
      image(img, 0, 0);
      resetShader();
      image(img, width/2, 0);
    }
Description | Restores the default shaders. Code that runs after resetShader() will not be affected by previously defined shaders.
Syntax |
    resetShader()
    resetShader(kind)
Parameters |
kind | int: type of shader, either POINTS, LINES, or TRIANGLES
Returns | void

Updated on October 26, 2013 08:58:31pm PDT